libmediascan is an evolution of the work done on the Perl modules Audio::Scan
and Image::Scale:
  http://search.cpan.org/dist/Audio-Scan
  http://search.cpan.org/dist/Image-Scale

The basic goals of libmediascan are:
* Extend the high-quality audio metadata scanners in Audio::Scan to video
  and image files.
* Determine DLNA profile information during scanning by including code from
  libdlna.
* Generate audio, video, and image thumbnails at scan-time.
* Support OS-specific change notification methods on OSX, Linux, and Windows
  for background directory watching.
* Develop a comprehensive test suite.
* Deliver a standalone C library that may be useful to non-Perl projects.
* Include Perl bindings with the library, other bindings if any contributors are
  interested.

Longer-term plans:
* Explore asynchronous scanning using threads.

The library depends on FFmpeg to handle video files, libjpeg/libpng/libgif
for image and thumbnail support, Berkeley db for metadata, and libexif for
JPEG tags.

NOTE:
Due to major API shifts, only FFmpeg version 4.1 and above is supported.
Due to major API shifts, only libgif version 5.1.4 and above is supported.

